package com.bailuntec.domain.pojo;

import java.util.Date;

public class SkuMappingInfo {
    /// <summary>
    /// 返回数据类型，1正常，2分页，99导出
    /// </summary>
    public Integer resultType;

    /// <summary>
    /// 页数
    /// </summary>
    public Integer page;

    /// <summary>
    /// 分页大小，最大1000
    /// </summary>
    public Integer pageSize;

    /// <summary>
    /// 排序列
    /// </summary>
    public String sortField;

    /// <summary>
    /// 排序方式
    /// </summary>
    public String sort;

    /// <summary>
    /// 主键
    /// </summary>
    public Integer id;

    /// <summary>
    /// 平台Id
    /// </summary>
    public Integer platId;

    /// <summary>
    /// 平台
    /// </summary>
    public String plat;

    /// <summary>
    /// 站点Id
    /// </summary>
    public Integer siteId;

    /// <summary>
    /// 站点
    /// </summary>
    public String site;

    /// <summary>
    /// 帐号Id
    /// </summary>
    public Integer accountId;

    /// <summary>
    /// 登录帐号
    /// </summary>
    public String loginAccount;

    /// <summary>
    /// 帐号
    /// </summary>
    public String account;

    /// <summary>
    /// 销售
    /// </summary>
    public String sellerName;

    /// <summary>
    /// 刊登商品编码
    /// </summary>
    public String platProduct;

    /// <summary>
    /// ItemId
    /// </summary>
    public String itemId;

    /// <summary>
    /// ItemUrl
    /// </summary>
    public String ItemUrl;

    /// <summary>
    /// 查询类型 1 平台SKU 2产品库SKU 3中文名称
    /// </summary>
    public Integer searchType;

    /// <summary>
    /// 查询值
    /// </summary>
    public String search;

    /// <summary>
    /// 平台SKU
    /// </summary>
    public String platSku;

    /// <summary>
    /// 产品库SKU
    /// </summary>
    public String sku;

    /// <summary>
    /// 中文名称
    /// </summary>
    public String title;

    /// <summary>
    /// 数量
    /// </summary>
    public Integer count;

    /// <summary>
    /// 内部商品编码
    /// </summary>
    public String goodsCode;

    /// <summary>
    /// 内部产品编码
    /// </summary>
    public String productCode;

    /// <summary>
    /// 商品表Id
    /// </summary>
    public Integer mainId;

    /// <summary>
    /// skuid
    /// </summary>
    public Integer sId;

    /// <summary>
    /// 商品编码
    /// </summary>
    public String product;

    /// <summary>
    /// 组合关系
    /// </summary>
    public String groupRelete;

    /// <summary>
    /// 一级分类
    /// </summary>
    public Integer firCate;

    /// <summary>
    /// 二级分类
    /// </summary>
    public Integer secCate;

    /// <summary>
    /// 平台分类全名
    /// </summary>
    public String fullName;

    /// <summary>
    /// 属性类型
    /// </summary>
    public String attrType;

    /// <summary>
    /// 是否组合
    /// </summary>
    public String isGroup;

    /// <summary>
    /// 是否任意SKU
    /// </summary>
    public String isAny;

    /// <summary>
    /// 是否映射完成
    /// </summary>
    public String isMap;

    /// <summary>
    /// 是否上传
    /// </summary>
    public String isUpApi;

    /// <summary>
    /// 数据来源 1在线listting,2订单,3刊登,4, 手工添加
    /// </summary>
    public String source;

    /// <summary>
    /// 失败原因
    /// </summary>
    public String errorMsg;

    /// <summary>
    /// 创建人
    /// </summary>
    public String createUser;

    /// <summary>
    /// 创建时间
    /// </summary>
    public Date createTime;

    public Integer getResultType() {
        return resultType;
    }

    public void setResultType(Integer resultType) {
        this.resultType = resultType;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getSortField() {
        return sortField;
    }

    public void setSortField(String sortField) {
        this.sortField = sortField;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPlatId() {
        return platId;
    }

    public void setPlatId(Integer platId) {
        this.platId = platId;
    }

    public String getPlat() {
        return plat;
    }

    public void setPlat(String plat) {
        this.plat = plat;
    }

    public Integer getSiteId() {
        return siteId;
    }

    public void setSiteId(Integer siteId) {
        this.siteId = siteId;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public Integer getAccountId() {
        return accountId;
    }

    public void setAccountId(Integer accountId) {
        this.accountId = accountId;
    }

    public String getLoginAccount() {
        return loginAccount;
    }

    public void setLoginAccount(String loginAccount) {
        this.loginAccount = loginAccount;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getSellerName() {
        return sellerName;
    }

    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    public String getPlatProduct() {
        return platProduct;
    }

    public void setPlatProduct(String platProduct) {
        this.platProduct = platProduct;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemUrl() {
        return ItemUrl;
    }

    public void setItemUrl(String itemUrl) {
        ItemUrl = itemUrl;
    }

    public Integer getSearchType() {
        return searchType;
    }

    public void setSearchType(Integer searchType) {
        this.searchType = searchType;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getPlatSku() {
        return platSku;
    }

    public void setPlatSku(String platSku) {
        this.platSku = platSku;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public Integer getMainId() {
        return mainId;
    }

    public void setMainId(Integer mainId) {
        this.mainId = mainId;
    }

    public Integer getsId() {
        return sId;
    }

    public void setsId(Integer sId) {
        this.sId = sId;
    }

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product;
    }

    public String getGroupRelete() {
        return groupRelete;
    }

    public void setGroupRelete(String groupRelete) {
        this.groupRelete = groupRelete;
    }

    public Integer getFirCate() {
        return firCate;
    }

    public void setFirCate(Integer firCate) {
        this.firCate = firCate;
    }

    public Integer getSecCate() {
        return secCate;
    }

    public void setSecCate(Integer secCate) {
        this.secCate = secCate;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getAttrType() {
        return attrType;
    }

    public void setAttrType(String attrType) {
        this.attrType = attrType;
    }

    public String getIsGroup() {
        return isGroup;
    }

    public void setIsGroup(String isGroup) {
        this.isGroup = isGroup;
    }

    public String getIsAny() {
        return isAny;
    }

    public void setIsAny(String isAny) {
        this.isAny = isAny;
    }

    public String getIsMap() {
        return isMap;
    }

    public void setIsMap(String isMap) {
        this.isMap = isMap;
    }

    public String getIsUpApi() {
        return isUpApi;
    }

    public void setIsUpApi(String isUpApi) {
        this.isUpApi = isUpApi;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
